OpenNMS API 1.2.9

## org.opennms.netmgt.threshd
Interface ServiceThresholder

All Known Implementing Classes:
  LatencyThresholder, SnmpThresholder

public interface ServiceThresholder

The Thresholder class...

Author:
  Mike , OpenNMS

Field Summary
`static java.lang.String[]` `statusType`
`static int` `THRESHOLDING_FAILED`
`static int` `THRESHOLDING_SUCCEEDED`
`static int` `THRESHOLDING_UNKNOWN` Status of the thresholder object.

Method Summary
`int` `check(NetworkInterface iface, EventProxy eproxy, java.util.Map parameters)` Invokes threshold checking on the object.
`void` `initialize(java.util.Map parameters)`
`void` `initialize(NetworkInterface iface, java.util.Map parameters)`
`void` `release()`
`void` `release(NetworkInterface iface)`

Field Detail

### THRESHOLDING_UNKNOWN

    public static final int THRESHOLDING_UNKNOWN

  Status of the thresholder object.

  See Also:
    Constant Field Values

### THRESHOLDING_SUCCEEDED

    public static final int THRESHOLDING_SUCCEEDED

See Also:
  Constant Field Values

### THRESHOLDING_FAILED

    public static final int THRESHOLDING_FAILED

See Also:
  Constant Field Values

### statusType

    public static final java.lang.String[] statusType

Method Detail

### initialize

    public void initialize(java.util.Map parameters)

### release

    public void release()

### initialize

    public void initialize(NetworkInterface iface,
                           java.util.Map parameters)

### release

    public void release(NetworkInterface iface)

### check

    public int check(NetworkInterface iface,
                     EventProxy eproxy,
                     java.util.Map parameters)

  Invokes threshold checking on the object.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.